Submit Compliance Data
curl --request POST \
--url https://api.prod.bastion.com/v2/identities/{identity_id}/compliance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kyb": {
"name": "<string>",
"tax_id": "<string>",
"email_address": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"description": "<string>",
"source_of_funds": "BUSINESS_LOANS",
"business_type": "COOPERATIVE",
"website": "<string>",
"is_dao": true,
"transmits_customer_funds": true,
"ultimate_beneficial_owners": [
{
"first_name": "<string>",
"last_name": "<string>",
"birth_date": "<string>",
"email": "<string>",
"phone": "<string>",
"tax_identification_number": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"gov_id_image_front": {
"file_data": "<string>",
"issuing_country": "<string>",
"issued_date": "<string>",
"type": "DOCUMENT_TYPE_PASSPORT"
},
"has_ownership": true,
"has_control": true,
"is_signer": true,
"relationship_established_at": "<string>",
"control_person_title": "<string>",
"gov_id_image_back": {
"file_data": "<string>",
"issuing_country": "<string>",
"issued_date": "<string>",
"type": "DOCUMENT_TYPE_PASSPORT"
}
}
],
"formation_document": {
"file_data": "<string>",
"issuing_country": "<string>",
"issued_date": "<string>",
"type": "DOCUMENT_TYPE_PASSPORT"
},
"ownership_document": {
"file_data": "<string>",
"issuing_country": "<string>",
"issued_date": "<string>",
"type": "DOCUMENT_TYPE_PASSPORT"
},
"date_of_incorporation": "<string>",
"account_purpose": "CHARITABLE_DONATIONS",
"registration_number": "<string>",
"compliance_screening_explanation": "<string>",
"business_industry_code": "<string>"
}
}
'import requests
url = "https://api.prod.bastion.com/v2/identities/{identity_id}/compliance"
payload = { "kyb": {
"name": "<string>",
"tax_id": "<string>",
"email_address": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"description": "<string>",
"source_of_funds": "BUSINESS_LOANS",
"business_type": "COOPERATIVE",
"website": "<string>",
"is_dao": True,
"transmits_customer_funds": True,
"ultimate_beneficial_owners": [
{
"first_name": "<string>",
"last_name": "<string>",
"birth_date": "<string>",
"email": "<string>",
"phone": "<string>",
"tax_identification_number": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"gov_id_image_front": {
"file_data": "<string>",
"issuing_country": "<string>",
"issued_date": "<string>",
"type": "DOCUMENT_TYPE_PASSPORT"
},
"has_ownership": True,
"has_control": True,
"is_signer": True,
"relationship_established_at": "<string>",
"control_person_title": "<string>",
"gov_id_image_back": {
"file_data": "<string>",
"issuing_country": "<string>",
"issued_date": "<string>",
"type": "DOCUMENT_TYPE_PASSPORT"
}
}
],
"formation_document": {
"file_data": "<string>",
"issuing_country": "<string>",
"issued_date": "<string>",
"type": "DOCUMENT_TYPE_PASSPORT"
},
"ownership_document": {
"file_data": "<string>",
"issuing_country": "<string>",
"issued_date": "<string>",
"type": "DOCUMENT_TYPE_PASSPORT"
},
"date_of_incorporation": "<string>",
"account_purpose": "CHARITABLE_DONATIONS",
"registration_number": "<string>",
"compliance_screening_explanation": "<string>",
"business_industry_code": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kyb: {
name: '<string>',
tax_id: '<string>',
email_address: '<string>',
address: {
street_line_1: '<string>',
city: '<string>',
postal_code: '<string>',
country: '<string>',
region_code: '<string>',
street_line_2: '<string>'
},
description: '<string>',
source_of_funds: 'BUSINESS_LOANS',
business_type: 'COOPERATIVE',
website: '<string>',
is_dao: true,
transmits_customer_funds: true,
ultimate_beneficial_owners: [
{
first_name: '<string>',
last_name: '<string>',
birth_date: '<string>',
email: '<string>',
phone: '<string>',
tax_identification_number: '<string>',
address: {
street_line_1: '<string>',
city: '<string>',
postal_code: '<string>',
country: '<string>',
region_code: '<string>',
street_line_2: '<string>'
},
gov_id_image_front: {
file_data: '<string>',
issuing_country: '<string>',
issued_date: '<string>',
type: 'DOCUMENT_TYPE_PASSPORT'
},
has_ownership: true,
has_control: true,
is_signer: true,
relationship_established_at: '<string>',
control_person_title: '<string>',
gov_id_image_back: {
file_data: '<string>',
issuing_country: '<string>',
issued_date: '<string>',
type: 'DOCUMENT_TYPE_PASSPORT'
}
}
],
formation_document: {
file_data: '<string>',
issuing_country: '<string>',
issued_date: '<string>',
type: 'DOCUMENT_TYPE_PASSPORT'
},
ownership_document: {
file_data: '<string>',
issuing_country: '<string>',
issued_date: '<string>',
type: 'DOCUMENT_TYPE_PASSPORT'
},
date_of_incorporation: '<string>',
account_purpose: 'CHARITABLE_DONATIONS',
registration_number: '<string>',
compliance_screening_explanation: '<string>',
business_industry_code: '<string>'
}
})
};
fetch('https://api.prod.bastion.com/v2/identities/{identity_id}/compliance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Compliance
Submit Compliance Data
Submit compliance data for an identity in your organization. Either KYB or KYC must be included in the request body.
| IdentityType | Required Compliance Data |
|---|---|
INDIVIDUAL | kyc |
BUSINESS | kyb |
Please note that only US-based businesses are supported at this time. An international KYB submission will be rejected.
POST
/
v2
/
identities
/
{identity_id}
/
compliance
Submit Compliance Data
Authorizations
Bearer authentication with an API token
Path Parameters
Unique identifier of the identity to which the compliance data should be applied
Body
application/json
- kyb
- kyc
Know Your Business (KYB) information for a business identity
Show child attributes
Show child attributes
Response
Success
The response is of type SubmitComplianceDataResponse · object.
Related topics
Compliance API overviewCompliance notificationsKYC and KYB requirementsCompliance notifications (v2)Issuance API overview⌘I